Bug 1016606

Summary: Virtualization comps group should contain libvirt-daemon-config-network
Product: [Fedora] Fedora Reporter: Tadej Janež <tadej.j>
Component: compsAssignee: Radek Vokal <rvokal>
Status: CLOSED EOL QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: crobinso
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 06:27:54 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Tadej Janež 2013-10-08 07:58:03 EDT
Description of problem:
I was following the F20 Virtualization Test Day instructions and installed F20 Beta TC2, followed by 'yum groupinstall virtualization'.
No default NAT network was configured, as confirmed by command 'sudo virsh net-list --all', due to missing libvirt-daemon-config-network.

After installing libvirt-daemon-config-network and manually restarting libvirtd, the default NAT network was set up.
Comment 1 Bill Nottingham 2013-10-08 12:34:43 EDT
? This is a requirement of libvirt.

I've added libvirt directly to comps, but it's worth figuring out how libvirt itself fell out of the dependency chain.
Comment 2 Cole Robinson 2013-10-08 13:02:52 EDT
Sorry, I was going to fix this up earlier but something distracted me.

libvirt is actually a metapackage nowadays that just exists for 'yum install libvirt' back compat. It pulls in libvirt\* which is overkill for most people.

The virtualization group is just targeting kvm management with libvirt, so it only requires libvirt-daemon-kvm which pulls in the minimal bits necessary, and explicitly _not_ things like all every qemu emulator, libvirt virtualbox driver, etc.

libvirt-daemon-config-network was split out from libvirt-daemon-kvm because gnome-boxes doesn't need it, but for virt-manager usage it's expected to be there. So I think just adding libvirt-daemon-config-network to 'virtualization' is the ideal fix. I'll make that change, but revert it if I'm wrong :)
Comment 3 Bill Nottingham 2013-10-08 13:33:04 EDT
Yeah, go ahead and do a s/libvirt/libvirt-daemon-config-network/, then.
Comment 4 Cole Robinson 2013-10-08 14:14:21 EDT
Done now
Comment 6 Dean Hunter 2014-04-22 13:24:20 EDT
"yum install virt-manager" does not include libvirt-daemon-config-network.  Starting virt-manager displays a notice that three packages are not installed with an offer to install them.  Acceptance of the offer displays a message that they have already been installed, but libvirt-daemon-config-network is still missing.

FYI see 1081762.  Gnome Boxes 3.12 now requires libvirt-daemon-config-network.
Comment 7 Jaroslav Reznik 2015-03-03 12:10:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 8 Fedora End Of Life 2016-07-19 06:27:54 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.